import { GraphQLInputFieldConfig } from "graphql";
import { TypeExpression, TypeArg } from "../type-expression/TypeExpression";
import { MetadataStorage } from "../base/MetadataStorage";
export interface InputFieldProps {
    defaultValue?: any;
    description?: string;
    directives?: any;
}
export interface InputFieldReference {
    name: string;
    field: InputField;
    props: InputFieldProps;
}
export declare class InputField {
    protected input: TypeExpression;
    constructor(input?: TypeArg | TypeExpression);
    buildConfig(storage: MetadataStorage): GraphQLInputFieldConfig;
}
