"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MetadataStorage_1 = require("./base/MetadataStorage");
var scalar_1 = require("./builtins/scalar");
function createMetadataStorage() {
    var storage = new MetadataStorage_1.MetadataStorage();
    scalar_1.loadBuiltInScalar(storage);
    return storage;
}
exports.createMetadataStorage = createMetadataStorage;
/**
 * Global MetadataStorage used by default.
 */
exports.globalMetadataStorage = createMetadataStorage();
//# sourceMappingURL=globalMetadataStorage.js.map