"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TypeExpression_1 = require("../type-expression/TypeExpression");
var InputField = /** @class */ (function () {
    function InputField(input) {
        if (input) {
            this.input = input instanceof TypeExpression_1.TypeExpression ? input : new TypeExpression_1.TypeExpression(input);
        }
    }
    InputField.prototype.buildConfig = function (storage) {
        var input = this.input;
        return {
            type: input.buildTypeInstance(storage),
        };
    };
    return InputField;
}());
exports.InputField = InputField;
//# sourceMappingURL=InputField.js.map