"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var globalMetadataStorage_1 = require("../globalMetadataStorage");
function mount(field, props, storage) {
    if (props === void 0) { props = {}; }
    if (storage === void 0) { storage = globalMetadataStorage_1.globalMetadataStorage; }
    return function (target, propertyKey) {
        var reference = { field: field, name: propertyKey, props: props };
        globalMetadataStorage_1.globalMetadataStorage.registerFieldReference(reference, target.constructor);
    };
}
exports.mount = mount;
//# sourceMappingURL=mount.js.map