"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TypeExpression_1 = require("./type-expression/TypeExpression");
/**
 * Get a GraphQLType instance from the given storage or default
 * global metadata storage.
 * @param targetClass
 * @param options
 */
function getGraphQLType(typeArg, storage) {
    storage = storage || require('./globalMetadataStorage').globalMetadataStorage;
    var typeExpression = new TypeExpression_1.TypeExpression(typeArg);
    return typeExpression.buildTypeInstance(storage);
}
exports.getGraphQLType = getGraphQLType;
//# sourceMappingURL=getGraphQLType.js.map