import { GraphQLScalarType } from "graphql";
import { DefinitionMetadata, DefinitionMetadataConfig } from "../base/DefinitionMetadata";
export interface ScalarTypeConfig extends DefinitionMetadataConfig {
    typeInstance: GraphQLScalarType;
}
/**
 * Metadata type for ScalarType
 */
export declare class ScalarType<T extends ScalarTypeConfig = ScalarTypeConfig> extends DefinitionMetadata<T> {
    readonly typeName: string;
    buildTypeInstance(): GraphQLScalarType;
}
